ChartDirector Ver 5.0 (PHP Edition)

XYChart.addBoxWhiskerLayer2

Usage

addBoxWhiskerLayer2(boxTop, boxBottom [, maxData [, minData [, midData [, fillColors [, whiskerBrightness [, names ]]]]]])

Description

Adds a multi-color box-whisker layer to the XYChart, and specify the data sets to use for drawing the layer.
This method is similar to XYChart.addBoxWhiskerLayer, except that the layer will be added in multi-color mode. Please refer to XYChart.addBoxWhiskerLayer on basic information of what is a box-whisker layer.
In multi-color mode, the boxes of a BoxWhiskerLayer can have different fill colors. For the whisker, instead of specifying a single whisker color for all boxes, ChartDirector computes the whisker colors by darkening or brightening the corresponding fill colors using a configurable brightness factor.

Arguments

Argument | Default | Description
--- | --- | ---
boxTop | (Mandatory) | An array of numbers representing the top edge of the box.
boxBottom | (Mandatory) | An array of numbers representing the bottom edge of the box.
maxData | [Empty_Array] | An array of numbers representing the maximum value mark lines.
minData | [Empty_Array] | An array of numbers representing the minimum value mark lines.
midData | [Empty_Array] | An array of numbers representing the middle value mark lines.
fillColors | [Empty_Array] | An array of colors to be used as the fill color of the boxes. If there are insufficient colors in the array for the boxes, the remaining boxes will have their colors automatically selected from the palette.
whiskerBrightness | 0.5 | The brightness factor for whisker color. A value less than 1 means darkening. A value larger than 1 means brightening. A zero value means black.
names | [Empty_Array] | An array of names for the boxes to be used in the legend box, if one is configured for the chart.

Return Value

A BoxWhiskerLayer object representing the box-whisker layer created.

© 2009 Advanced Software Engineering Limited. All rights reserved.